msgpack::type::define_array_imp< Tuple, 1 > Struct Template Reference

`#include <cpp11_define_array.hpp>`

## Static Public Member Functions

template<typename Packer >
static void | pack (Packer &pk, Tuple const &t)
static void | unpack (msgpack::object const &o, Tuple &t)
static void | object (msgpack::object *o, msgpack::zone &z, Tuple const &t)

## Member Function Documentation

## object()

template<typename Tuple >

static void msgpack::type::define_array_imp< Tuple, 1 >::object | ( | msgpack::object * | o,
|  | msgpack::zone & | z,
|  | Tuple const & | t
| ) |  |

inline static

References msgpack::object::union_type::array, msgpack::object_array::ptr, and msgpack::object::via.

## pack()

template<typename Tuple >
template<typename Packer >

static void msgpack::type::define_array_imp< Tuple, 1 >::pack | ( | Packer & | pk,
|  | Tuple const & | t
| ) |  |

inline static

## unpack()

template<typename Tuple >

static void msgpack::type::define_array_imp< Tuple, 1 >::unpack | ( | msgpack::object const & | o,
|  | Tuple & | t
| ) |  |

inline static

References msgpack::object::union_type::array, msgpack::type::convert_helper(), msgpack::object_array::ptr, msgpack::object_array::size, msgpack::type::size(), and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/detail/cpp11_define_array.hpp